Javascript not work with ebay..javascript arbeitet nicht mit ebay.
Posted by: beerenmix
Date: March 26, 2010 07:32PM

javascript arbeitet nicht mit ebay
bitte um hilfe,

1)bei ebay ist der "finde"- bottom bei der suchanfrage nicht aktiv..es passiert gar nichts beim klick...unten links in der statuszeile steht nur "javascript".
2) Beim Verkauf-Formelar Öffnet sich nicht die HTML- Zeile wie z.b bei firefox oder IE...HTML texte sind somit nur über richtige programmierung möglich.ist aber lässtig.

für lösungen wäre ich sehr dankbar...weil ich das k-meleon einfach klasse finde.

javascript not working with ebay.
please help,

1) on ebay is the "find" - bottom in the search request not active .. click the bottom nothing happens ... left, in the status line only is "javascript".
2) the sale-Formelar, opens not the HTML-line, as for example in firefox or IE .. one can only programs HTML on yourself, but this succs.

I would be very grateful for solutions ... because I like k-meleon !!

Re: Javascript not work with ebay..javascript arbeitet nicht mit ebay.
Posted by: siria
Date: March 26, 2010 08:43PM

War schon lange nicht mehr auf ebay, aber hast du schon die "meistens" hilfreiche Lösung probiert, den User Agent behaupten zu lassen, KM wäre Firefox? Ist im Tools (Extras?) Menu. Keine Ahnung ob's hilft, manchmal sinds auch andere Einstellungen, zB zu enge javascript-Optionen, oder eingeschränkte Cookies und so...

Re: Javascript not work with ebay..javascript arbeitet nicht mit ebay.
Posted by: beerenmix
Date: March 26, 2010 09:07PM

vielen dank für deinen tip.

browsererkennung auf firefox gestellt.
der 2. fehler tritt somit nicht mehr auf...html wird somit gängig..cool danke.

aber fall 1 ist immer noch akut:

bitte um nachstellung des fehlers:
1.auf www.ebay.de gehen
2.ein artikel in der suchanfrage schreiben z.b firefox und auf "finden" klicken
dieses "finden" funktioniert noch ist wahrscheinlich kein java..

3. jetzt in der suchanfrage noch zusätzlich was anders reinschreiben z.b t-shirt
und dann auf "finden" drücken..dieses ist jetzt grün und wahrscheinlich javamässig..
bei mir passiert gar nichts...das hat ebay aber seit kurzem, dieses grüne-Bottom...

bei wem funktioniert es und was ist zu machen.
für weitere vorschläge wäre sehr dankbar.

Re: Javascript not work with ebay..javascript arbeitet nicht mit ebay.
Posted by: siria
Date: March 26, 2010 09:39PM

Jau, hast leider Recht. Hab ein bisschen experimentiert: Ebay will wohl auch alle alten Gecko-1.8-Browser boykottieren, denn der grüne Knopf (bottom heißt übrigens unten, nicht button grinning smiley) verwendet ein modernes Gecko-1.9-javascript. Ist ja klar, dass man für sowas kompliziertes wie einen Such-Knopf auch ein supermodernes Script braucht cool smiley

Kann jetzt mal 4 Alternativen vorschlagen:

1) K-Meleon 1.6 benutzen, aber das ist noch in Alpha-Status, also Vorschlag nicht so ganz ernstgemeint ;-)

oder 2) Auf "erweiterte Suche" clicken

oder 3) Die Suche von unten nach oben in das obere Suchfeld reinkopieren, daneben der graue Knopf funktioniert wieder (der braucht komischerweise für die gleiche Aktion kein so kompliziertes hochmodernes Script, seltsam..)

oder 4) EMPFOHLEN cool smiley : Einen zusätzlichen User-Agent für Opera auf Linux anlegen, den lässt Ebay nämlich anscheinend auch rein, trotz altem Skript! Bin nur nicht sicher, ob das dann auch für alle anderen Ebay-Funktionen hilft, aber probiers einfach mal.
Anleitung hier: http://kmeleon.sourceforge.net/forum/read.php?4,104347
Den blauen Text vom 2. Posting in eine neue Datei kopieren, z.B. namens I10n_useragentsmore.js (der Name ist eigentlich beliebig, nur die Endung muss .js sein, nicht "txt", obwohl es tatsächlich nur eine simple Text-Datei ist). Datei in dem Ordner K-Meleon/defaults/pref erzeugen, und Browser (samt Loader) neu starten. Falls böses Vista oder Win7 dich in den Ordner nix reinschreiben lassen, musst du stattdessen im PROFIL-Ordner die Datei prefs.js editieren und dort den neuen UA dazukopieren. Dazu muss der Browser allerdings schon geschlossen sein, sonst "vergisst" die Datei die Änderungen wieder.

Wenn ein falscher User Agent eingestellt ist, den hinterher bitte wieder auf Default stellen, sonst funktionieren viele "normale" Seiten nicht mehr richtig.

-----------
ENGLISH:
ebay uses a gecko-1.9 script, except for a user agent string of opera on linux cool smiley
either 1) Use K-Meleon 1.6, but not quite serious tip since it's still in alpha version ;-)
or 2) click advanced search
or 3) copy the search into the search field on top, which still has a gray button
or 4) create another user agent for opera on linux. Follow instructions in the second post of this thread: http://kmeleon.sourceforge.net/forum/read.php?4,104347

If faking the User Agent, don't forget to reset it again, or "normal"pages may not work right anymore!



Edited 1 time(s). Last edit at 03/26/2010 09:48PM by siria.

Re: Javascript not work with ebay..javascript arbeitet nicht mit ebay.
Posted by: beerenmix
Date: March 26, 2010 09:53PM

respekt, super schnelle antwort und gute schritt für schritt anweisung..
vielen vielen dank..brauch aber einwenig zeit dafür.

werde es mal in ruhe austesten und dann nochmal antworten, ob es geklappt hat.

Re: Javascript not work with ebay..javascript arbeitet nicht mit ebay.
Posted by: beerenmix
Date: March 29, 2010 09:56PM

hallo,
soweit habe ich alles in den ordner wie beschrieben eingestellt:
kommen auch ganz neue agenten: firefox 3.5.5, opera 10 und Ori....

habe alle getestet, aber leider kam bei mir bei allen keine besserung..
der klick ist immer noch nicht da...
und bei dir funktionierte der batton "finde", bei welchen agenten?

Re: Javascript not work with ebay..javascript arbeitet nicht mit ebay.
Posted by: siria
Date: March 29, 2010 11:54PM

Och nee, Mist... Vor ein paar Tagen ging es noch, oder hab ich halluziniert?! Entweder das oder sie haben das Schlupfloch jetzt auch dichtgemacht, grmpf!
Tja, also halt doch auf "Erweiterte Suche" clicken...?

Re: Javascript not work with ebay..javascript arbeitet nicht mit ebay.
Posted by: beerenmix
Date: March 30, 2010 06:32PM

ok..trotzdem vielen dank für deine vorschläge.
muß ich halt tricksen, bis eine lösung gefunden wird.
vielleicht kommt ja eine brauchbare bald.

Re: Javascript not work with ebay..javascript arbeitet nicht mit ebay.
Posted by: guenter
Date: March 30, 2010 08:39PM

Quote
siria
Och nee, Mist... Vor ein paar Tagen ging es noch, oder hab ich halluziniert?!

Sicher nicht - halluziniert.

Im Übrigen: Ihr seid böse Verweigerer.tongue sticking out smiley

p.s. Sie sitzen alle im selben Boot und wollen Hardware, OSe, Werbung ... gemeinsam verkaufen.

Leute mit altem OS, Hardware wo das läuft, Browser.org wo kein Venture Kapital drin steckt, der seine Suchmaschineneinstellung nicht verkauft hat.... sitzen in dem Boot, was sie nicht mögen und behindern - wo sie können. Bestenfalls ignorieren sie solche, aber das hilft bei der Kompatibilität auch nicht weiter.



Edited 1 time(s). Last edit at 03/30/2010 08:43PM by guenter.

Re: Javascript not work with ebay..javascript arbeitet nicht mit ebay.
Posted by: beerenmix
Date: April 13, 2010 09:35PM

hallo,
jetzt ist wieder alles bestens bei ebay..
entweder ebay hat es verbessert oder es liegt an den neuen KM-agenten..
weiter so..

Re: Javascript not work with ebay..javascript arbeitet nicht mit ebay.
Posted by: siria
Date: April 14, 2010 03:12AM

Cool, danke fürs Update! grinning smiley
Das liegt eindeutig an ebay, die haben anscheinend beschlossen, Gecko 1.8-Browser doch wieder reinzulassen cool smiley Kein Fake mehr nötig, der ganz normale "richtige" Browserstring wird sogar akzeptiert!
PS: Bitte nach Möglichkeit nur auf Seiten faken, die das unbedingt brauchen, zum einen sollte das theoretisch auch den best angepassten html-code liefern (wenn die Webmaster halbwegs Ahnung haben), zum andern wird der Browser sonst nicht bei der Statistik mitgezählt, was u.a. für die Entscheidung zählt, welche Browser zukünftig auf dem Microsoft Choice Screen vertreten sind smiling smiley (browserchoice.eu)

Re: Javascript not work with fotodienste..javascript arbeitet nicht mit fotodienste.
Posted by: beerenmix
Date: September 08, 2010 05:47AM

hallo,
verschiedene fotodienste (z.b lidl) arbeiten mit java um eine schnelle verarbeitung der fotos zu gewährleisten, aber mein KM verweigert den installierten java-software.

Fehler:
The new java plug-in requires a recent version
of the firefox browser (3 or later)

mein k-m browseragent auf firefox 3.5.5 eingestellt,
mein java 1.6.0.21 installiert. keinerlei besserung.

mit andere internetBrowser wie IE oder Chrom klappt das bestens,
ich will aber mein süssen KM behalten.

für lösungen wäre ich sehr dankbar..

Re: Javascript not work with fotodienste..javascript arbeitet nicht mit fotodienste.
Posted by: siria
Date: September 08, 2010 04:35PM

Hmmm.... ich könnte schwören, da war erst vor ein paar Tagen ein Thread, wo schon ein anderer genau das gleiche Problem hatte, aber natürlich find ich den jetzt absolut nicht mehr *grübel* Weder in der eh lückenhaften Forumsuche noch mit Googles Hilfe. Also wenn ich mich richtig erinnere - ist aber nur ganz dunkel - dann hatte glaub disrupted sowas in der Richtung geantwortet, dass für verschiedene Browser-Engines verschiedene Plugins gebraucht werden, der java-plugin-Hersteller aber kein neues für die Gecko-Engine bereitgestellt hat, oder so ähnlich... sieht nicht allzu gut aus... Hast du's mal mit FF probiert? Oder vielleicht gibts ja ein Plugin for gecko1.9, nur nicht für gecko1.8... Hast du mal mit KM1.6 probiert? Die letzte Pre-Beta version von desga (cp4) soll schon ganz passabel laufen, und vor allem ist sie portabel, also komplett unabhängig von anderen KM-Installationen. Kannst ja mal testen:
http://two.xthost.info/kmeleon/km/K-Meleon1.6_preBeta.7z
http://kmeleon.sourceforge.net/forum/read.php?2,109196,page=2
Einfach runterladen, entzippen, und per Doppelclick auf k-meleon.exe den Browser starten. Der "normale" Browser sollte dabei geschlossen sein. Oder wahlweise einen Link erzeugen der noch ein Leerzeichen und
-new
hinter der exe angehängt hat, dann laufen beide Installationen parallel.

Siehst du eigentlich den kompletten Pfad für die tatsächlich benutzten Plugins, auf Help>About Plugins?
Falls nicht auf about:config gehen (Edit>Configuration>Browser configuration), in der Filterzeile "path" eintippen, und dann "plugin.expose_full_path" auf "true" stellen (per Doppel- oder Rechtsclick)

Von Plugins hab ich aber ehrlich gesagt null Ahnung, sorry, und von Java schon gar nicht, also bei meinem Posting hier bedenken cool smiley Hab ich gar nicht installiert. Vielleicht meldet ja auch die Seite was interessantes, nur so als Browser-Info: http://browserspy.dk/java.php



Edited 2 time(s). Last edit at 09/08/2010 04:48PM by siria.

Re: Javascript not work with fotodienste..javascript arbeitet nicht mit fotodienste.
Posted by: beerenmix
Date: September 08, 2010 07:42PM

hallo siria,
vielen vielen dank für deine super schnelle antwort und deine
zahlreichen tips..

1)alle browsereinstellungen und Browser-Info: [browserspy.dk]
sind fehlgeschlagen..immer gleiche fehlermeldungen..

2) der neue K-Meleon1.6_preBeta.7z geht aber auf anhieb..das hat mich echt gefreut.

nun zur deine parellele anwendung, hab ich nicht ganz verstanden.

""Der "normale" Browser sollte dabei geschlossen sein. Oder wahlweise einen Link erzeugen der noch ein Leerzeichen und -new
hinter der exe angehängt hat, dann laufen beide Installationen parallel. .. """

meinste so--> k-meleon.exe –new
oder so--> k-meleon-new.exe -->läuft bei beiden nicht bzw. wenn schon ein KM läuft dann öffnet sich nicht der andere sondern der aktuell laufende öffnet noch ein fenster..


und dann noch eine frage..gibt es denn auch in deutsch?
ich werde den neuen aufjedenfall für die java-uploads verwenden,
und weiter testen...
freue mich auf eine antwort.

Re: Javascript not work with fotodienste..javascript arbeitet nicht mit fotodienste.
Posted by: guenter
Date: September 08, 2010 08:48PM

Da war jüngst ein Thread über Java. Man muß nur ein neues Plugin löschen - sonst war kein problem. Ist auch kein K-Meleon sondern ein Java Bug.

http://kmeleon.sourceforge.net/forum/read.php?1,108658,109087#msg-109087

Quote
Rockspecht
Java works normally (I tried some simple java demos I found via google and a java-based IRC chat) for me when I delete that weird npjp2.dll ("Next Generation Java Plug-in 1.6.0_21 for Mozilla browsers") from bin\new_plugin, but honestly, I have no idea what that plugin does at all and which consequences deleting it might have, but it certainly causes the this is not firefox 3! error.

Ich werde also diesen Thread nach General verschieben.

Nein 1.6 ist noch nicht übersetzt. Du kannst aber z.B. das Deutsche ./Locales Verzeichnis von 1.5.4 rüber kopieren und benutzen, dann sind viele Menüs und so Deutsch.

Re: Java Update 21 - plugin bug
Posted by: siria
Date: September 09, 2010 02:22AM

Quote
guenter
Da war jüngst ein Thread über Java. Man muß nur ein neues Plugin löschen - sonst war kein problem. Ist auch kein K-Meleon sondern ein Java Bug.
http://kmeleon.sourceforge.net/forum/read.php?1,108658,109087#msg-109087

Oops... doch schon so lange her? Dann hab ich da doch was durcheinander gebracht, aber wie ja schon vorgewarnt, meine Erinnerung war da nur reichlich "dunkel" ;-)
Danke Günter für die richtige Info!! smiling smiley
Also das "21" update hat nen Bug, aber man kann die vorige 20er-Version ins KM/plugin-Verzeichnis legen, dann geht wieder alles.

Quote
beerenmix
1)alle browsereinstellungen und Browser-Info: [browserspy.dk]
sind fehlgeschlagen..immer gleiche fehlermeldungen..

Hmm, was für "gleiche Fehlermeldungen" - das mit Firefox3?? Kann ich mir nicht recht vorstellen... Oder ist nur javascript geblockt, dann erfährt die Website natürlich nix cool smiley

Quote
beerenmix
meinste so--> k-meleon.exe –new

Ja genau, und zwar im "Ziel"-Feld von der Verknüpfung bzw. dem Icon.
Allerdings die " " nicht vergessen um den Pfad, wenn da Leerzeichen drin sind.
Auf der wiki-Seite stehts mit Beispiel drin:
http://kmeleon.sourceforge.net/wiki/CommandLineOptions
"C:\Program Files\K-Meleon\k-meleon.exe" -new

Re: Java Update 21 - plugin bug
Posted by: guenter
Date: September 09, 2010 02:32AM

Mir war auch so - aber es ist doch schon länger her. Hab ich beim Suchen bemerkt. surprised smiley
Ich hatte den Namen der fehlerhaften Plugin Datei natürlich vergessen sad smiley

Dein Gedächtnis meine liebe siria ist besser als meins tongue sticking out smiley



Edited 1 time(s). Last edit at 09/09/2010 02:44AM by guenter.

Re: Java Update 21 - plugin bug
Posted by: siria
Date: September 09, 2010 03:08AM

Mein Gedächtnis ist Schweizer Käse, aber unsere Luftlöcher scheinen sich gegenseitig gut zu ergänzen, LOL!

Re: Java Update 21 - plugin bug
Posted by: beerenmix
Date: September 09, 2010 06:45PM

Einwandfrei..Respekt..und vielen dank..Tolle Gemeinde hier!
Ich sag immer wieder, es gibt keine probleme nur lösungen:

1) beide kM laufen brav parallel ohne zu mucken..wie beschrieben und jetzt auch verstanden:
-ein link aufm desktop erstellen
-auf den link rechts klicken auf eigenschaften klicken
-unter ziel einfach ganz hinten gehen und -->(leertaste) -new
eingeben...fertig!
wobei eigentlich zuerst das alte KM gestartet werden sollte.
wenn zuerst das "K-Meleon1.6_preBeta" gestarete wird, startet immer wieder dieses
und nicht mehr das alte...oder kann man dies auch noch umgehen??

2)eigentlich egal, wenn man wie beschrieben das java21 deinstalliert und das alte java20 wieder installiert ,klappt es mit beiden KM so und so ..keine fehlermeldung wegen komfort java-uploads mehr...super!


3)wollte ich natürlich K-Meleon1.6_preBeta, wie beschrieben auf deutsch auch testen, (ihr macht ja auch die mühe alles schön zu beschreiben.)
habe das verzeichnis-->C:\Programme\K-Meleon\locales\ kopiert und eingefügt..
aber wie benutzt man das jetzt? müßte doch automatisch gehen, weil da steht auch willkommen zu KM 1.5.4..aber menü bleibt englisch..

auf lösungen wäre ich sehr erfreut..!

Re: Java Update 21 - plugin bug
Posted by: guenter
Date: September 09, 2010 07:26PM

-new Bei beiden Kommandos -new setzen, vermutl. smiling smiley

Java: ./bin/npjp2.dll (Next Generation Java Plug-in 1.6.0_21) löschen, dann kannst du auch 1.6.0_21 nehmen.

Deutsch: Die Menüs (außer chrome) werden es.

Bedingung: ./K-Meleon/locale Verzeichnis muss da sein.
Dann: F2 -> GUI Appearance (Settings) -> German (Chrome ist nicht übersetzt) ändern
(bei 1.5.4 de-DE ist Deutsch Standard bei 1.6.a4 ist es en-US). Du musst umschalten.


Das Umschalten legt 2 neue Schlüssel in prefs.js an, die den Browser relativ zum Standard ändern:

user_pref("general.useragent.contentlocale", "DE");
user_pref("general.useragent.locale", "de-DE");

Beim 1.5.4de-DE legt er die IMHO für Englisch an. grinning smiley

1.5.4 und 1.6 können das selbe Profil nutzen. Wenn es in Nutzernamen %apdata% (Anwendungsdaten) ist. Dann kannst du Einstellungen (die aus chrome/XUL sind) von 1.5 aus auf Deutsch nutzen.

Leg dazu aber zur Sicherheit ein neues Profil an.



Edited 2 time(s). Last edit at 09/09/2010 07:57PM by guenter.

Re: Java Update 21 - plugin bug
Posted by: beerenmix
Date: September 10, 2010 05:46PM

hi g..
vielen dank für deine ausführungen, hab sie mit interesse verfolgt.

Quote
guenter
-new Bei beiden Kommandos -new setzen, vermutl. smiling smiley

-----------> funzt einwandfrei..!

Quote
guenter
Java: ./bin/npjp2.dll (Next Generation Java Plug-in 1.6.0_21) löschen, dann kannst du auch 1.6.0_21 nehmen.

----------> das werde ich auch testen, wenn sich mein java neu auf 21 updatet,
hab ich wieder frei gegeben.und danach teste ich, denn jetzt mit 20 ist alles o.k!!

Quote
guenter
Deutsch: Die Menüs (außer chrome) werden es.

Bedingung: ./K-Meleon/locale Verzeichnis muss da sein.
Dann: F2 -> GUI Appearance (Settings) -> German (Chrome ist nicht übersetzt) ändern
(bei 1.5.4 de-DE ist Deutsch Standard bei 1.6.a4 ist es en-US). Du musst umschalten.

----------> hab ich befolgt und ist auf nun auf DE, nur hab ich kein Chrome im Browsererkennung drin, obwohl der ordner vorhanden ist ??

da fällt mir ein und hab ne frage, gibt es für den 1.5.4 neue browseragent mit chrom und firefox höher als 3.5.5..?

Quote
guenter
Das Umschalten legt 2 neue Schlüssel in prefs.js an, die den Browser relativ zum Standard ändern:

user_pref("general.useragent.contentlocale", "DE");
user_pref("general.useragent.locale", "de-DE");

Beim 1.5.4de-DE legt er die IMHO für Englisch an. grinning smiley
-----------> das ist ok!

----------> jetzt kommt was für mich, wie bahnhof,kofferklau sich anhört,
da wolltest du mir sicher den chrome als deutsch nahelegen oder? wo finde ich den die anwendungsdaten bzw benutzerdaten?:
Quote
guenter
1.5.4 und 1.6 können das selbe Profil nutzen. Wenn es in Nutzernamen %apdata% (Anwendungsdaten) ist. Dann kannst du Einstellungen (die aus chrome/XUL sind) von 1.5 aus auf Deutsch nutzen.

Leg dazu aber zur Sicherheit ein neues Profil an.

danke das du dir zeit dafür nimmst..ist ja nicht selbstverständlich!

Re: Java Update 21 - plugin bug
Posted by: SoerenB
Date: September 10, 2010 07:21PM

hi,

nur kurz zur Begriffsklärung:

Chrome bei de.wikipedia, Suchwort: Mozilla

Cheers
SoerenB

is: I'm back, on wine in some (!) linuxes - speaking of addiction ...

was: No more own machines, because of addiction.
Don't know when I'll be back to normal ...

Re: Java Update 21 - plugin bug
Posted by: guenter
Date: September 11, 2010 01:47AM

Die Daten, die sich im Verzeichnis ./K-Meleon/chrome befinden, sind noch nicht nach de-DE übersetzt bzw. die Übersetzungen noch nicht zusammenkopiert.

Das wird erst gemacht, wenn desga2 die en-US Sachen fertig hat und frei gibt.

Dort in ./chrome sind z.B. die Menüs der "Einstellungen".

Deshalb gehen wir auf "Kofferklau" grinning smiley bei 1.5.4, wenn wir was einstellen wollen und kein Bock auf Englisch haben. 1.5.4 und 1.6 haben plus/minus die gleichen Einstellungs-Menüs. Es geht jedenfalls, man kann sie nacheinander das selbe Profil nutzen lassen. Also 1.6 Sachen in 1.5 konfigurieren.

K-Meleon findet %apdata% für dich smiling smiley

Du machst von 1.5.4 aus ein neues Profil und konfigurierst alles wie du es für 1.6 willst. Dann löscht du im 1.6 Verzeichnis profile.ini - und startest Profile verwalten und der 1.6 soll immer das Profil nehmen, das du von 1.5. für ihn angelegt und konfiguriert hast. Wenn du mal was ändern willst von 1.6 gehen Einstellungen als Preferences auf Englisch und von 1.5 aus Deutsch. smiling smiley

Du kannst alternativ auch deinen normalen 1.5.4 Profil-Inhalt konfiguriert nach 1.6 in das Profil kopieren.

Auch wenn ich warne und es selbst nicht tue - beide können 1.5 Profile nutzen, nur macht man es mit nem Alpha zur Sicherheit nicht.

p.s. Benutzeroberflächen-Technik von Mozilla-Software im Verzeichnis ./chrome.

Falls du neugierig bist, die *.jar Dateien in ./chrome sind zip-gepackte Dateien (eigentl. gepackte Ordner / nur mit anderer Endung) du kannst sie dir entpacken (z.B. mit 7zip) und in die enthaltenen Dateien mit nem Editor rein gucken.


Content/Inhalt
*.xul enthalten Knöpfe und so.
*.xml AFAIK Definitionen.
*js JavaScript Funktionen

locale/Sprachdaten
*.dtd Übersetzungen
*.proprties Übersetzungen

skin/Aussehen
*.css Stil Infos

Dann sind noch png und gifs.



Edited 2 time(s). Last edit at 09/11/2010 02:24AM by guenter.

Re: Alternativen für Browsererkennung erstellen
Posted by: guenter
Date: September 11, 2010 02:42AM

Quote
beerenmix
da fällt mir ein und hab ne frage, gibt es für den 1.5.4 neue browseragent mit chrom und firefox höher als 3.5.5..?

in ./defaults/pref/I10n.js mit Editor

// Privacy

pref("kmeleon.privacy.useragent1name", "Firefox 2.0");
pref("kmeleon.privacy.useragent1.string", "Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.8.1.20) Gecko/20081217 Firefox/2.0.0.20");
pref("kmeleon.privacy.useragent2.name", "SeaMonkey 1.1");
pref("kmeleon.privacy.useragent2.string", "Mozilla/5.0 (Windows; U; Windows NT 5.1; de-DE; rv:1.8.1.21) Gecko/20090403 SeaMonkey/1.1.16");

pref("kmeleon.privacy.useragent3.name", "Opera");
pref("kmeleon.privacy.useragent3.string", "Opera/10.00 (Windows; U; Windows NT 5.1; en) Presto/2.2.0");

pref("kmeleon.privacy.useragent4.name", "Beerenmix Spezial");
pref("kmeleon.privacy.useragent4.string", "Beerenmix/5.0 (Windows; U; Windows 3.1; de) Netscape 4.78 smiling smiley ");

Da kannst du fröhlich editieren oder es via Browser-Konfiguration (about:config) ändern.

Ist das System klar? Fortlaufende Nummern, wenn du mehr Einträge haben willst.
Das mit Opera ist was, das ich benutze!

Statt Beerenmix/5.0 kannst du reale Browser nehmen, z.B.:

Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.2.3) Gecko/20100412 Firefox/3.6.3 CometBird/3.6.3 GTB7



Edited 1 time(s). Last edit at 09/11/2010 03:02AM by guenter.

Re: Alternativen für Browsererkennung erstellen
Posted by: beerenmix
Date: September 13, 2010 06:28PM

vielen vielen dank für die zahlreichen tipps und anwendungen.
werde sie mir in eine ruhige minuten einverleiben, so weit es geht.

aber habe inzwischen...-->
von guenter
Java: ./bin/npjp2.dll (Next Generation Java Plug-in 1.6.0_21) löschen, dann kannst du auch 1.6.0_21 nehmen.

..befolgt und es funzt einwandfrei!
soweit sind alle meine anliegen auch hiermit gelöst..
vielen dank allen beteiligten.

Re: Alternativen für Browsererkennung erstellen
Posted by: beerenmix
Date: September 29, 2010 02:46PM

hallo,
und schon wieder ein problem was nach eine lösung sucht.

unter yahoo.de kann ich seit montag keine emails mehr öffnen,es kommt noch eine nachricht,ladevorgang läuft aber es passiert leider nichts.

eben habe ich es mit chrome versucht und es klappt sicher auch mit den anderen internetbrowser..

habt ihr eine lösung, wie kann ich wieder mit mein KM1.5.4 meine emails unter yahoo.de lesen?

Re: Yahoo Mail
Posted by: siria
Date: September 30, 2010 01:33AM

Also ich habs gerade probiert, mit KM1.5.4 und 1.6, mit normalem KM-user-agent, und beide öffnen meine Mails problemlos (von dem verhassten javascript-Zwang mal abgesehen).
Hast du vielleicht irgendwas in den Einstellungen geändert?
Vielleicht ein neues Macro ausprobiert?
Irgendwas mit Proxy oder Router-Einstellungen? (hab ich null Ahnung ;-)
Vielleicht hilft Cache löschen?
Liegt es vielleicht an dem Inhalt oder Format einer bestimmten Mail?

Ach ja:
Im Notfall geht wahrscheinlich noch die minimalistische Handy-Version cool smiley
m.yahoo.com/mail
Hey, die geht sogar trotz geblocktem javascript!! grinning smiley grinning smiley grinning smiley



Edited 4 time(s). Last edit at 09/30/2010 02:40AM by siria.

Re: Yahoo Mail
Posted by: guenter
Date: September 30, 2010 02:12AM

Yahoo Mail: Immer wieder einmal sad smiley Yahoo Mail = Beta Software sad smiley PHUI.

Hab ich schon ähnlich gehabt. Scheint mir aber ein Yahoo Problem.
Bei mir war es mit allen Browsern auf dem bestimmten PC.

Irgendwann ging es wieder. Neues Profil versuchen und wenn das nicht neue Installation. Mit Einzelplatz oder wie das bei der Installations-Auswahlbox heißt.
Also extra Profil für die Installation.

Sonst Cache löschen, ist wie schon siria schrieb, eine Standard Versuch für solche Probleme.



Edited 1 time(s). Last edit at 09/30/2010 02:15AM by guenter.

Re: Yahoo Mail
Posted by: beerenmix
Date: September 30, 2010 05:01PM

hallo und vielen vielen dank..
ist ja schon peinlich, allein cache löschen hat schon gereicht. und schon kann ich alle yahoo-mails wieder lesen.
jetzt weiß ich ja bescheid, fürs nächste mal, aber wieso fängt es aufeinmal an nicht die emails zu laden und kann es bei anderen email-adressen wie gmx.de, web.de oder freenet.de auch mal passieren?
ist es doch ratsam hin und wieder den cache zu löschen?

wie es auch sei. ich bin froh das ich hier schnelle und effiziente lösungen kriege.
vielen dank an siria und guenter nochmal.

Re: Yahoo Mail
Posted by: guenter
Date: October 01, 2010 02:14AM

Vorbeugend Cache löschen würd ich nie, kostet Ladezeit - ihn wieder zu füllen.

Es fängt an, wenn der Cache korrupt ist. Löschen als die Lösung wird von Yahoo selbst angeboten. -> Wenn man ein Bisl. sucht. Für verschiedene Browser.

Löschen? Könnte als Versuch bei Problemen auch bei anderen Mail Providern was bringen, sie kupfern ihren Code IMHO zum Teil ab.

Anderes passiert auch / Neue Profile erzwingen, ist für K-Meleon Profil korrupt.
& wird selten/aber auch gebraucht.

Zügige Hilfe? Es macht mir am meisten Freude de-DE zu schreiben. Da brauch ich nicht über Sprache nachzudenken. Und die Antworten sind so neu nicht, dass man länger grübeln muß.



Edited 2 time(s). Last edit at 10/01/2010 04:30AM by guenter.

K-Meleon forum is powered by Phorum.